<template>
  <div class="moviesList">
    <h1 class="subheading grey--text text--darken-1">All movies</h1>

    <MovieCard
      :movie="movie"
      :key="index"
      flat
      v-for="(movie, index) in movies"
    />
  </div>
</template>

<script>
import MovieCard from "@/components/MovieCard.vue";
import { mapState } from "vuex";
export default {
  components: {
    MovieCard
  },
  computed: {
    ...mapState({ movies: storeState => storeState.movies.list })
  }
};
</script>
